Data.Aeson.Encoding.Internal

# Encoding

data Encoding' tag

type Encoding

encodingToLazyByteString

unsafeToEncoding

retagEncoding

data Series

pairs

pair

pair'

# Predicates

nullEncoding

# Encoding constructors

emptyArray_

emptyObject_

wrapObject

wrapArray

null_

bool

text

lazyText

string

list

dict

tuple

(>*<)

data InArray

empty

(><)

econcat

## Decimal numbers

int8

int16

int32

int64

int

word8

word16

word32

word64

word

integer

float

double

scientific

## Decimal numbers as Text

int8Text

int16Text

int32Text

int64Text

intText

word8Text

word16Text

word32Text

word64Text

wordText

integerText

floatText

doubleText

scientificText

## Time

day

localTime

utcTime

timeOfDay

zonedTime

## value

value

## JSON tokens

comma

colon

openBracket

closeBracket

openCurly

closeCurly